Bug 421493

Summary: After being able to boot in legacy mode still gives this crash while shutting down or restart computer
Product: [KDE Neon] neon Reporter: Dário Martins <dario.j.a.martins>
Component: generalAssignee: phd <phd>
Status: RESOLVED FIXED    
Severity: grave CC: jr, nate, neon-bugs, phd, sitter
Priority: NOR    
Version: unspecified   
Target Milestone: ---   
Platform: Neon   
OS: Linux   
Latest Commit: Version Fixed In:
Attachments: debugger of logout shutdown restart crash diagnosis

Description Dário Martins 2020-05-14 01:51:45 UTC
Created attachment 128441 [details]
debugger of logout shutdown restart crash diagnosis

SUMMARY


STEPS TO REPRODUCE
1. after clean install used i normal boot mode without usb live session
2. but same error like in live mode still occurs unable to restart or shutdown computer
3. says that the ksmserver-logout-greeter or whatsoever crashed please restart application

OBSERVED RESULT
Unable to shutdown or restart computer

EXPECTED RESULT
Able to shutdown without "long press" power button

SOFTWARE/OS VERSIONS
Windows: 
macOS: 
Linux/KDE Plasma: 
(available in About System)
KDE Plasma Version: latest
KDE Frameworks Version: 
Qt Version: 

ADDITIONAL INFORMATION
Comment 1 Bug Janitor Service 2020-11-23 16:38:56 UTC
A possibly relevant merge request was started @ https://invent.kde.org/frameworks/kdeclarative/-/merge_requests/37
Comment 2 Nate Graham 2020-12-16 21:36:11 UTC
Git commit 090610124d4650150af49a8e30f6b77ad9803dfe by Nate Graham, on behalf of Piotr Henryk Dabrowski.
Committed on 16/12/2020 at 21:35.
Pushed by ngraham into branch 'master'.

[KQuickAddons] QtQuickSettings::checkBackend() for fallback to software backend

Fixes very annoying crashes of QtQuick KDE applications:
ksmserver-logout-greeter, krunner (if not running before), and others
occuring when the OpenGL driver stops being available (e.g. on upgrade).

This issue often occurs after upgrading graphic drivers, preventing reboot,
which in turn is needed for the drivers to work and not cause this crash.

No changes are required in the above applications, as they all already use
KQuickAddons::QtQuickSettings::init().
Related: bug 422995, bug 398199, bug 375913, bug 366156, bug 346519

M  +36   -3    src/quickaddons/qtquicksettings.cpp
M  +2    -1    src/quickaddons/qtquicksettings.h

https://invent.kde.org/frameworks/kdeclarative/commit/090610124d4650150af49a8e30f6b77ad9803dfe